function onBegin()
  disableMovement()
  wait(1.0)
  walk(10)
  wait(1.5)
  walk(-10)
  wait(1.5)
  setFlag("FadeAway", true)
  wait(0.5)
end

function onEnd()
  enableMovement()
  setFlag("FadeAway", false)
  setFlag("DiscordTeleFlag", true)
end